<?php
//	|---------------------------------------------------------------------------|
//	|	PHP-Fusion 7 Content Management System									|
//	|	Copyright  2002 - 2005 Nick Jones										|
//	|	http://www.php-fusion.co.uk/											|
//	|---------------------------------------------------------------------------|
//	| 	This program is released as free software under the						|
//	| 	Affero GPL license. You can redistribute it and/or						|
//	| 	modify it under the terms of this license which you						|
//	| 	can read by viewing the included agpl.txt or online						|
//	| 	at www.gnu.org/licenses/agpl.html. Removal of this						|
//	| 	copyright header is strictly prohibited without							|
//	| 	written permission from the original author(s).							|
//	|---------------------------------------------------------------------------|
//	|	xTabbed Panel															|
//	|	Copyright  2008 Rizald 'Elyn' Maxwell									|
//	|	Filename : xTab_panel.php												|
//	|	Read the source easier via Notepad++ 									|
//	|		comment fonts changed - Courrier New, 10pt							|
//	|---------------------------------------------------------------------------|
//	|	For more informations, please refer to README.TXT						|
//	|---------------------------------------------------------------------------|
require_once "image.php";
require_once "infusion_db.php";
define("xTab", INFUSIONS."xTab_panel/");

$uTheme = (isset($userdata['user_theme']) ? strtolower($userdata['user_theme']) : "default");
$ow3 = "false";
//echo $uTheme;
// -------------------------------------	SELF-MOD AREA 	--------------------------------------------	START
$lmt = 255; // you header image's width in pixels.

// change the size based on user's theme settings, else use default theme size
if($uTheme == "orange_sludge_100"){
	// a fluid 100% width sized theme
	// 			10px		  +				370px			 +		60px
	//	(theme body's margin)	(left/right panel + padding)	(scroller + ?)
	$ow = 440;
} else if($uTheme == "gillette"){
	$ow = 580;
	$ow3 = "true"; // this value is only true for fixed width, in a sense, this will stop xTP from resizing.
} else if($uTheme == "similitude06"){
	$ow = 555;
	$ow3 = "true"; // this value is only true for fixed width, in a sense, this will stop xTP from resizing.
} else if($uTheme == "old_school"){
	// a fixed width sized theme
	// 			950px			  -			20px		   -		372px			     -		4px				 -		24px
	//	(theme's main table witdh)	(blank left+right td)	(left/right panel + padding)	(main-table padding)	(scroller?)
	// 
	$ow = 530;
	$ow3 = "true"; // this value is only true for fixed width, in a sense, this will stop xTP from resizing.
} else {
	// a fluid 100% width sized theme
	// 			80px		  +				370px			 +		60px
	//	(theme body's margin)	(left/right panel + padding)	(scroller + ?)
	$ow = 510; 
}
// -------------------------------------	SELF-MOD AREA 	--------------------------------------------	END

// --------------------------------		initialize some components		--------------------------------	START

$res = dbquery("SELECT MIN(xtab_id) AS m FROM ".DB_XTAB);
$db = dbarray($res);
$min = $db['m'];
$count = dbcount("(xtab_id)", DB_XTAB, "");
if (!empty($count)){
	$d['count'] = ($count+1);
} else
	$d['count'] = 0;

for($i=0;$i<$d['count'];$i++){	
	$cusPost_start[$i] = "";
	$cusPost_end[$i] = "";
}
// --------------------------------		initialize some components		--------------------------------	END

// ---------------------------------	custom PHP contents addon		--------------------------------	START
//		cusPost_start[x] -> start of the x tab's content
//		cusPost_end[x] -> end of the x tab's content
//		in this case, x is a valid number from 0,1,2.. and so forth.

// to add a php generated content to the end of the first tab, use cusPost_end[0], this is incremental. 
// the next tab is 1,2,3... and so forth.
// please note that this custom php content does not involved the tab's ID. Hence, you are not
// required to know the tab's id.

// example 
$userCount = dbcount("(user_id)", DB_USERS, "");
$cusPost_end[0] = "<center><strong><big>This site has ".$userCount." member(s)</big></strong></center><br />";

// example end
// ---------------------------------	custom PHP contents addon		--------------------------------	END


// --------------------------------		<head> javascript components	--------------------------------	START
add_to_head('
<link rel="stylesheet" href="'.xTab.'src/style.css" type="text/css" />
<script type="text/javascript" language="javascript" src="'.xTab.'src/gcn.js"></script>
<script type="text/javascript" language="javascript">
<!-- 
function gE(id){
	return document.getElementById(id);
}

var xtab_count = '.$count.';
var xtab_min = '.$min.';
var ow = '.$ow.';
var ow3 = '.$ow3.';
var lmt = '.$lmt.';

function openTab(method,tid, url) {
	if(method == 1){
		id = tid.split("_");
		for(var i=xtab_min;i < (xtab_count+xtab_min);i++){
			if(gE("tab_"+i))	
				gE("tab_"+i).className = "";
			if(gE("con_"+i))
				gE("con_"+i).style.display = "none";
		}
		gE("tab_"+id[1]).className = "c_p_i";
		gE("con_"+id[1]).style.display = "block";
	} else if(method == 2){
		window.location = url;
	}
}

function calVPWidth(){
	var vpw;
	if (typeof window.innerWidth != "undefined") {
		vpw = window.innerWidth;
	} else if (typeof document.documentElement != "undefined" && typeof document.documentElement.clientWidth != "undefined" && document.documentElement.clientWidth != 0) {
		vpw = document.documentElement.clientWidth;
	} else { 
		vpw = document.getElementsByTagName("body")[0].clientWidth;
	}
	return vpw;
}

function setTabElementWidth(){
	var w = 25;
	var d = gE("tabs");
	var g = gE("navTab").getElementsByTagName("li");
	d.style.width = "";
	for (var i= 0;i<g.length;i++)
		w+=(g[i].offsetWidth);
	d.style.width = w+"px";
}

var ourInterval;
function scrollStart(direction,divID,speed,step){
  var st,scDiv = gE(divID),dir = direction.toLowerCase();
  switch(dir){
	case \'up\':st=function(){
	  scDiv.scrollTop -= step;
	};break;
	case \'down\':st=function(){
	  scDiv.scrollTop += step;
	};break;
	case \'left\':st=function(){
	  scDiv.scrollLeft -= step;
	};break;
	case \'right\':st=function(){
	  scDiv.scrollLeft += step;
	};break;
  }
  ourInterval = setInterval(st,speed);
}
function scrollEnd(){
  clearInterval(ourInterval);
}
function xTabbed_start(){ 
	setTabElementWidth();
	var xTab_winH = calVPWidth();
	
	if(ow3){
		//fixed width theme
		gE("xtab_scf").style.width = ow+"px";
	} else {
		// fluid width theme
		gE("xtab_scf").style.width = (xTab_winH-ow)+"px";
	}
	gE("xtab_panel").style.visibility = "visible";
	gE("xtab_panel").removeChild(gE("xtab_load"));
	
	openTab(1,\'tab_'.$min.'\',null);
}

function resizeTab(){
	var wyd = calVPWidth();
	if(!ow3){
		// fluid width theme
		if(wyd > lmt)
			gE("xtab_scf").style.width = (wyd-ow)+"px";
	}
}

function scpt_load(){
	gE("scpt").innerHTML = "<img src=\''.xTab.'img/loading.gif\' alt=\'loading..\' />";
}

window.onresize = resizeTab;
-->
</script>');
// --------------------------------		<head> javascript components	--------------------------------	END

// ---------------------------------	generate xTabbed Panel		------------------------------------	START
$str = '<div id="xtab_panel">
	<div id="xtab_load">
		<table style="width:100%; height:150px;" align="center" class="no-border" border="0" cellpadding="0" cellspacing="0"><tr>
		<td valign="middle">
			<div id="scpt">
				<h3><span style="color:#FF0000;">No javascript support found!</span></h3>
				Please <strong>enable</strong> javascript support inorder to view this site correctly. <br />
				If your browser does not have javascript support, please upgrade your browser. <br />
				Or switch to the lastest Mozila FireFox, Opera, Google Chrome, or Internet Explorer.<br />
				We are very sorry for the inconvenience.<br /><br />
			</div>
			<script type="text/javascript">
				scpt_load();
			</script>
			</td>
		</tr></table>
	</div>
	<table width="100%" align="center" class="no-border" border="0" cellpadding="0" cellspacing="0">
	<tr>
	<td valign="top" width="22">
		<div id="xtab_ScLeft" onmouseover="scrollStart(\'Left\', \'xtab_scf\',5,5);" onmouseout="scrollEnd();"></div></td>
	<td width="100%" valign="top">
	<div id="xtab_scf">
		<div style="width:500px;" id="tabs">
			<ul id="navTab">';
$post = '<div id="xtab_post">';
$query = "SELECT * FROM ".DB_XTAB." ORDER BY xtab_id ASC";
$result = dbquery($query);
$i = 1;
while($db = dbarray($result)){
	$str .= '<li id="tab_'.$i.'" onclick="openTab('.$db['xtab_type'].',this.id,\''.$db['xtab_url'].'\')"><img src="'.$ximg[$db['xtab_logo']].'" width="10" height="10" alt="ico"/>&nbsp;&nbsp;'.$db['xtab_title'].'&nbsp;</li>';
	if($db['xtab_content']){
		$post .= '<div class="xtab_content" id="con_'.$i.'"><div style="margin:10px 10px 10px 10px;">';
		$post .= $cusPost_start[$i];
		$post .= parsesmileys(nl2br(fixContent($db['xtab_content'])))."<br />";
		$post .= $cusPost_end[$i];
		$post .= '</div></div>';
		$i++;
	}
}
$str .= '</ul>
		  </div>
	  </div></td>
	  <td valign="top" width="22"><div id="xtab_ScRight" onmouseover="scrollStart(\'Right\', \'xtab_scf\',5,5);" onmouseout="scrollEnd();"></div></td>
	</tr></table>';

$post .='
	</div>
	<div class="xtab_clearer"></div>
</div>';

echo $str;
echo $post;
echo "<br />";

// ---------------------------------	generate xTabbed Panel		------------------------------------	END

// ---------------------------------	required php functions		------------------------------------	START
function fixContent($text) {
	if (QUOTES_GPC) 
		$text = stripslashes($text);
	$search = array("&#39;");
	$replace = array("\"");
	$text = str_replace($search, $replace, $text);
	$text = html_entity_decode($text);
	return $text;
}
// ---------------------------------	required php functions		------------------------------------	END
?>